Package org.jbpm.process.audit

## Class AbstractAuditLoggerAdapter

- java.lang.Object
- - org.jbpm.process.audit.AbstractAuditLogger
  - - org.jbpm.process.audit.AbstractAuditLoggerAdapter

- All Implemented Interfaces:
    `EventListener`, `org.kie.api.event.process.ProcessEventListener`
  Direct Known Subclasses:
    `JPAWorkingMemoryDbLogger`

      public abstract class AbstractAuditLoggerAdapter
      extends AbstractAuditLogger

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `METADATA_NODEINSTANCE_LOG` |
    `static String` | `METADATA_PROCESSINTANCE_LOG` |
    `static String` | `METADATA_VARIABLEINSTANCE_LOG` |

    - ### Fields inherited from class org.jbpm.process.audit.AbstractAuditLogger

      `AFTER_COMPLETE_EVENT_TYPE, AFTER_NODE_ENTER_EVENT_TYPE, AFTER_NODE_LEFT_EVENT_TYPE, AFTER_START_EVENT_TYPE, AFTER_VAR_CHANGE_EVENT_TYPE, BEFORE_COMPLETE_EVENT_TYPE, BEFORE_NODE_ENTER_EVENT_TYPE, BEFORE_NODE_LEFT_EVENT_TYPE, BEFORE_START_EVENT_TYPE, BEFORE_VAR_CHANGE_EVENT_TYPE, builder, ON_ASYNC_NODE_EVENT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractAuditLoggerAdapter()` |
    `AbstractAuditLoggerAdapter​(org.drools.core.WorkingMemory workingMemory)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `afterNodeLeft​(org.kie.api.event.process.ProcessNodeLeftEvent event)` |
    `void` | `afterNodeTriggered​(org.kie.api.event.process.ProcessNodeTriggeredEvent event)` |
    `void` | `afterProcessCompleted​(org.kie.api.event.process.ProcessCompletedEvent event)` |
    `void` | `afterProcessStarted​(org.kie.api.event.process.ProcessStartedEvent event)` |
    `void` | `afterSLAViolated​(org.kie.api.event.process.SLAViolatedEvent event)` |
    `void` | `afterVariableChanged​(org.kie.api.event.process.ProcessVariableChangedEvent event)` |
    `void` | `beforeNodeLeft​(org.kie.api.event.process.ProcessNodeLeftEvent event)` |
    `void` | `beforeNodeTriggered​(org.kie.api.event.process.ProcessNodeTriggeredEvent event)` |
    `void` | `beforeProcessCompleted​(org.kie.api.event.process.ProcessCompletedEvent event)` |
    `void` | `beforeProcessStarted​(org.kie.api.event.process.ProcessStartedEvent event)` |
    `void` | `beforeVariableChanged​(org.kie.api.event.process.ProcessVariableChangedEvent event)` |
    `Object` | `getNodeInstanceMetadata​(org.kie.api.runtime.process.NodeInstance pi, String key)` |
    `Object` | `getProcessInstanceMetadata​(org.kie.api.runtime.process.ProcessInstance pi, String key)` |
    `protected abstract void` | `nodeEnter​(org.kie.api.event.process.ProcessNodeTriggeredEvent event)` |
    `protected abstract void` | `nodeLeft​(org.kie.api.event.process.ProcessNodeLeftEvent event)` |
    `protected abstract void` | `nodeScheduled​(org.kie.api.event.process.ProcessAsyncNodeScheduledEvent event)` |
    `void` | `onAsyncNodeScheduledEvent​(org.kie.api.event.process.ProcessAsyncNodeScheduledEvent event)` |
    `protected abstract void` | `processCompleted​(org.kie.api.event.process.ProcessCompletedEvent event)` |
    `protected abstract void` | `processStarted​(org.kie.api.event.process.ProcessStartedEvent event)` |
    `void` | `setNodeInstanceMetadata​(org.kie.api.runtime.process.NodeInstance pi, String key, Object value)` |
    `void` | `setProcessInstanceMetadata​(org.kie.api.runtime.process.ProcessInstance pi, String key, Object value)` |
    `protected abstract void` | `slaNodeInstanceViolated​(org.kie.api.event.process.SLAViolatedEvent event)` |
    `protected abstract void` | `slaProcessInstanceViolated​(org.kie.api.event.process.SLAViolatedEvent event)` |
    `protected abstract void` | `variableChanged​(org.kie.api.event.process.ProcessVariableChangedEvent event)` |

    - ### Methods inherited from class org.jbpm.process.audit.AbstractAuditLogger

      `getBuilder, setBuilder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.event.process.ProcessEventListener

      `beforeSLAViolated, onMessage, onSignal`

- - ### Field Detail

    - #### METADATA_PROCESSINTANCE_LOG

          public static final String METADATA_PROCESSINTANCE_LOG

      See Also:
        Constant Field Values

    - #### METADATA_NODEINSTANCE_LOG

          public static final String METADATA_NODEINSTANCE_LOG

      See Also:
        Constant Field Values

    - #### METADATA_VARIABLEINSTANCE_LOG

          public static final String METADATA_VARIABLEINSTANCE_LOG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractAuditLoggerAdapter

          public AbstractAuditLoggerAdapter()

    - #### AbstractAuditLoggerAdapter

          public AbstractAuditLoggerAdapter​(org.drools.core.WorkingMemory workingMemory)

  - ### Method Detail

    - #### setProcessInstanceMetadata

          public void setProcessInstanceMetadata​(org.kie.api.runtime.process.ProcessInstance pi,
                                                 String key,
                                                 Object value)

    - #### getProcessInstanceMetadata

          public Object getProcessInstanceMetadata​(org.kie.api.runtime.process.ProcessInstance pi,
                                                   String key)

    - #### setNodeInstanceMetadata

          public void setNodeInstanceMetadata​(org.kie.api.runtime.process.NodeInstance pi,
                                              String key,
                                              Object value)

    - #### getNodeInstanceMetadata

          public Object getNodeInstanceMetadata​(org.kie.api.runtime.process.NodeInstance pi,
                                                String key)

    - #### beforeProcessStarted

          public void beforeProcessStarted​(org.kie.api.event.process.ProcessStartedEvent event)

    - #### processStarted

          protected abstract void processStarted​(org.kie.api.event.process.ProcessStartedEvent event)

    - #### onAsyncNodeScheduledEvent

          public void onAsyncNodeScheduledEvent​(org.kie.api.event.process.ProcessAsyncNodeScheduledEvent event)

    - #### afterProcessStarted

          public void afterProcessStarted​(org.kie.api.event.process.ProcessStartedEvent event)

    - #### beforeProcessCompleted

          public void beforeProcessCompleted​(org.kie.api.event.process.ProcessCompletedEvent event)

    - #### afterProcessCompleted

          public void afterProcessCompleted​(org.kie.api.event.process.ProcessCompletedEvent event)

    - #### processCompleted

          protected abstract void processCompleted​(org.kie.api.event.process.ProcessCompletedEvent event)

    - #### beforeNodeTriggered

          public void beforeNodeTriggered​(org.kie.api.event.process.ProcessNodeTriggeredEvent event)

    - #### nodeScheduled

          protected abstract void nodeScheduled​(org.kie.api.event.process.ProcessAsyncNodeScheduledEvent event)

    - #### nodeEnter

          protected abstract void nodeEnter​(org.kie.api.event.process.ProcessNodeTriggeredEvent event)

    - #### afterNodeTriggered

          public void afterNodeTriggered​(org.kie.api.event.process.ProcessNodeTriggeredEvent event)

    - #### beforeNodeLeft

          public void beforeNodeLeft​(org.kie.api.event.process.ProcessNodeLeftEvent event)

    - #### nodeLeft

          protected abstract void nodeLeft​(org.kie.api.event.process.ProcessNodeLeftEvent event)

    - #### afterNodeLeft

          public void afterNodeLeft​(org.kie.api.event.process.ProcessNodeLeftEvent event)

    - #### beforeVariableChanged

          public void beforeVariableChanged​(org.kie.api.event.process.ProcessVariableChangedEvent event)

    - #### afterVariableChanged

          public void afterVariableChanged​(org.kie.api.event.process.ProcessVariableChangedEvent event)

    - #### variableChanged

          protected abstract void variableChanged​(org.kie.api.event.process.ProcessVariableChangedEvent event)

    - #### afterSLAViolated

          public void afterSLAViolated​(org.kie.api.event.process.SLAViolatedEvent event)

    - #### slaNodeInstanceViolated

          protected abstract void slaNodeInstanceViolated​(org.kie.api.event.process.SLAViolatedEvent event)

    - #### slaProcessInstanceViolated

          protected abstract void slaProcessInstanceViolated​(org.kie.api.event.process.SLAViolatedEvent event)